/* wavframes.h - input of waveform and division to frames */

FILE *filein; 
typedef struct     // 'fmt '
{
  unsigned long 	    fLen;
  unsigned short int      wFormatTag;
  unsigned short int	    nChannels;
  unsigned long	    nSamplePerSec;
  unsigned long	    nAvgBytesPerSec;
  unsigned short int 	    nBlockAlign;
  unsigned short int	    FormatSpecific;
} TFmtChunk;


void  open_wav_file (char *namein); 
void  open_raw_file (char *namein);
float * allocate_speech_frame (void);
int new_frame (float * frame); 
void close_wav_file (void); 
int FindChunk(char *name);
