/* config for speech processing CZR - project 1  */

#define WIN_LEN      240
#define WIN_SHIFT    80
#define LEN_PARAMS   10   /* 10 lpcc coeffs */ 

#define FFT_LEN      256
#define FFT_LEN_LOG  8

/* for LPC and LPCC */
#define CORREL_COEFFS 10
#define LPC_COEFFS    10
#define LPCC_COEFFS   10

/* max number of frames */
#define MAXFRAMES     100000


#define SHORT2FLOAT  32768.0

/* for pitch detection */
#define MINLAG       20
#define MAXLAG       160
#define NCCF_THR     0.7

